## polyml 5.6

=== debian/changelog ===
polyml (5.6-3) unstable; urgency=low

  * Support for the Hurd
  * Build is now reproducible
  * Bump up Standards-Version to 3.9.7
  * New patches:
    - alpha.diff: Add support for alpha
    - bss-ioarea.diff: Export ioarea to bss section
    - m68k.diff: Add support for m68k
    - maxpathlen.diff: Remove all use of MAXPATHLEN
    - mips64.diff: Add support for mips64/mips64el
    - noexec-stack-gnu.diff: Mark stack as non-executable on all GNU systems
    - noflsh-unsigned.diff: Cast NOFLSH to unsigned (fixes a warning on the
    Hurd)
    - source-date-epoch.diff: Use SOURCE_DATE_EPOCH instead of current time if
    it is defined
    - x32.diff: Add support for x32

 -- James Clarke <jrtc27@jrtc27.com>  Sat, 12 Mar 2016 17:17:35 +0000

polyml (5.6-2) unstable; urgency=low

  * Replaced soft-float-rounding.diff with upstream's
    rounding-mode-test-allow-exceptions.diff,
    rounding-mode-test-only-allow-exceptions-for-set-mode.diff, soft-fpu.diff
    and disable-compile-time-real-eval.diff. Avoids modifying the test driver,
    instead skipping the test if unsupported directly inside the test itself.
  * New patches (excluding soft-float-rounding.diff replacements):
    - fix-heap-ratio-assert.diff: Backport upstream's fix to let the
      calculated minimum heap size be the same as the desired value.
      Previously it failed an assertion.
    - fix-script-args.diff: Backport upstream's fix so --script can be used
      with additional command-line arguments.
    - mips-abi.diff: Mark polyexport.o as CPIC on MIPS when code is
      position-independent. Fixes ld warning about linking abicalls files with
      non-abicalls files.
    - unix-const-vec-unsigned.diff: Define unixConstVec as unsigned. Fixes
      narrowing conversion inside braces on PowerPC with GCC 6.
    - use-polyunsigned-consistently-for-stream-ids.diff: Backport upstream's
      fix so POLYUNSIGNED is used everywhere to refer to stream IDs, avoiding
      implicit narrowing conversions. Includes fixed realloc failure handling.

 -- James Clarke <jrtc27@jrtc27.com>  Mon, 01 Feb 2016 00:08:29 +0000

polyml (5.6-1) unstable; urgency=low

  * New upstream version
  * Removed patches applied upstream
  * Rename libpolyml6 to libpolyml7
  * New patches:
    - ioctl-int.diff: Use int instead of unsigned long for ioctl calls. Fixes
      Tests/Succeed/Test083.ML on 64-bit big-endian architectures.
    - s390.diff: Add support for S/390 (both s390 and s390x).
    - soft-float-rounding.diff: Don't support rounding modes for soft-float
      systems. Skips Tests/Succeed/Test121.ML on armel.
    - streamtoken-endian.diff: Use a POLYUNSIGNED for StreamToken.streamNo.
      Fixes stream issues on 64-bit big-endian architectures.

 -- James Clarke <jrtc27@jrtc27.com>  Mon, 25 Jan 2016 23:09:59 +0000

polyml (5.5.2-4) unstable; urgency=low

  * Take over as uploader
  * New patches:
    - make-check.diff: Backport upstream's fix so 'make check' runs the
      regression test suite
    - mips.diff: Backport upstream's support for mips
    - mipsel.diff: Backport upstream's support for mipsel
    - pexport-endian.diff: Backport upstream's fix for big-endian
      architectures
    - ppc64.diff: Backport upstream's support for ppc64 and ppc64el

 -- James Clarke <jrtc27@jrtc27.com>  Sun, 24 Jan 2016 13:45:16 +0000

polyml (5.5.2-3) unstable; urgency=low

  * Team upload.
  * Backport upstream's arm64 support (Closes: #802341)
  * Added file dependency (required by polyc)

 -- James Clarke <jrtc27@jrtc27.com>  Tue, 20 Oct 2015 22:37:47 +0100

polyml (5.5.2-2) unstable; urgency=low

  * Team upload.
  * Enable all hardening flags (currently adds -fPIE, -pie and -Wl,-z,now)
  * Added gcc dependency (required by polyc)
  * Added libffi-dev dependency so polyc can link compiled code against it

 -- James Clarke <jrtc27@jrtc27.com>  Sat, 17 Oct 2015 15:14:39 +0100

polyml (5.5.2-1) unstable; urgency=low

  * Team upload.
  * New upstream version (Closes: #561763)
  * Removed libtool .la files
  * Rename libpolyml1 to libpolyml6
  * Bump up Standards-Version to 3.9.6
  * Bump up debian/compat to 9
  * Made descriptions more consistent
  * Convert to dh(1) format
  * Use autoreconf over autotools-dev
  * Add Multi-Arch fields
  * Update copyright
  * Build on Architecture: any
  * Patch libpolyml/x86asm.asm to stop the stack being executable
  * Remove postinst script as debhelper will generate triggers for ldconfig
  * Use Debian's libffi

 -- James Clarke <jrtc27@jrtc27.com>  Thu, 15 Oct 2015 22:20:13 +0100

polyml (5.2.1-1.1) unstable; urgency=low

  * NMU, added armhf to the arch list. (Closes: #623135)

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 11 Jan 2012 22:39:20 +0000

polyml (5.2.1-1) unstable; urgency=low

  [ Achim D. Brucker ]
  * Initial upload to Debian (Closes: #494488)
  * new upstream version

  [ Lionel Elie Mamane ]
  * Various packaging fixes
  * Bump up Standards-Version to 3.8.2

 -- Lionel Elie Mamane <lmamane@debian.org>  Thu, 03 Sep 2009 15:08:33 +0200

polyml (5.2-3) unstable; urgency=low

  * Fixed copyright

 -- Achim D. Brucker <brucker@member.fsf.org>  Mon, 16 Jun 2008 15:03:57 +0200

polyml (5.2-2) unstable; urgency=low

  * Fixed lintian warnings

 -- Achim D. Brucker <brucker@member.fsf.org>  Sun, 15 Jun 2008 21:05:42 +0200

polyml (5.2-1) unstable; urgency=low

  * Initial release

 -- Achim D. Brucker <brucker@member.fsf.org>  Sun, 15 Jun 2008 11:06:07 +0200
