=== debian/watch ===
# Run "uscan" to check for upstream updates and more.
# See uscan(1) for format
version=3
# SourceForge magic, needs devscripts >= 2.9
http://sf.net/polyml/polyml\.(.*)\.tar\.gz
