## polyml 5.7

=== debian/changelog ===
polyml (5.7-1) unstable; urgency=medium

  * Update uscan pattern to match 5.7 filename
  * New upstream version 5.7
  * Test166-deadlock.patch: Backport upstream fix for Test166 deadlocking
  * Bumped standards version to 4.0.1
    - Changed priority to optional

 -- James Clarke <jrtc27@debian.org>  Fri, 18 Aug 2017 23:57:36 +0100

polyml (5.7~20170322.git096d446-1) experimental; urgency=medium

  * New upstream version 5.7~20170322.git096d446
  * debian/rules: Revert recompiling the compiler itself, since git snapshots
    now have up-to-date pre-built import files.
  * Rename libpolyml7 to libpolyml8 to reflect upstream soname bump

 -- James Clarke <jrtc27@debian.org>  Thu, 23 Mar 2017 12:04:38 +0000

polyml (5.7~20170315.git1343f60-1) experimental; urgency=medium

  * New upstream version 5.7~20170315.git1343f60
  * Drop all patches; fixed upstream
  * Include IntInfAsInt module in libpolyml7

 -- James Clarke <jrtc27@debian.org>  Mon, 20 Mar 2017 17:08:56 +0000

polyml (5.7~20170222.git2737850-1) experimental; urgency=medium

  * New upstream version 5.7~20170222.git2737850
    - Fixes FTBFS when building the interpreted version.
  * x32.diff: New patch to fix build on x32.

 -- James Clarke <jrtc27@debian.org>  Wed, 22 Feb 2017 19:21:36 +0000

polyml (5.7~20170221.git4c3ba45-1) experimental; urgency=medium

  * New upstream version 5.7~20170221.git4c3ba45
  * Drop all patches; applied upstream
  * debian/rules: Recompile the compiler itself, since git snapshots have
    outdated pre-built import files.

 -- James Clarke <jrtc27@debian.org>  Tue, 21 Feb 2017 17:07:53 +0000

polyml (5.6-8) unstable; urgency=low

  * Bump debhelper/compat to 10
  * Run wrap-and-sort -ast
  * debian/control: Use my @debian.org email address
  * debian/copyright:
    - Use my @debian.org email address
    - Update my copyright to include 2017
  * polyc-dont-capture-build-path.diff: New patch to not capture
    -fdebug-prefix-map
  * spelling-errors.diff: New patch

 -- James Clarke <jrtc27@debian.org>  Fri, 06 Jan 2017 13:58:55 +0000

polyml (5.6-7) unstable; urgency=low

  * Make poly depend on g++, not gcc, as CXX is used by polyc, not CC. Fixes
    the upstream-polyc autopkgtest failure.

 -- James Clarke <jrtc27@jrtc27.com>  Tue, 26 Apr 2016 11:21:46 +0100

polyml (5.6-6) unstable; urgency=medium

  * Added autopkgtest support for upstream's test suite
  * New patches:
    - polyc-it.diff: Don't set "it" in polyc. This fixes the test suite when
    compiled with polyc.
    - reset-save-vector-sleep.diff: Ensure the save vector is reset when
    sleeping in Posix.Process.sleep. This stops the save vector from
    potentially overflowing and causing an assertion failure.
    - wait-return-valid-status.diff: Only return the "status" value from
    "wait" if the result is non-zero. This fixes a Fail "Unknown result
    status" exception being raised occasionally.

 -- James Clarke <jrtc27@jrtc27.com>  Mon, 25 Apr 2016 21:19:22 +0100

polyml (5.6-5) unstable; urgency=low

  * Bump up Standards-Version to 3.9.8
  * Removed patches:
    - request-completed-volatile-barrier.diff: Not a correct fix, as discussed
    with upstream in https://github.com/polyml/polyml/pull/49.
  * New patches:
    - thread-exited-interrupt-requested-overlap.diff: Fix threadExited and
    interrupt_requested overlapping. This fixes an occasional assertion
    failure on exit with the interpreted version, as well as the deadlock
    sometimes experienced on hppa.

 -- James Clarke <jrtc27@jrtc27.com>  Wed, 13 Apr 2016 12:21:00 +0100

polyml (5.6-4) unstable; urgency=low

  * New patches:
    - hppa.diff: Add support for hppa
    - maxhostnamelen.diff: Remove all use of MAXHOSTNAMELEN
    - request-completed-volatile-barrier.diff: Make MainThreadRequest
    completed field volatile (fixes test suite deadlock on hppa)
    - sh.diff: Add support for sh4
    - sparc64.diff: Add support for sparc64

 -- James Clarke <jrtc27@jrtc27.com>  Wed, 06 Apr 2016 21:21:16 +0100
