=== debian/control ===
--- 
+++ 
@@ -1,18 +1,29 @@
 Source: polyml
 Section: interpreters
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: James Clarke <jrtc27@jrtc27.com>
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/polyml.git
+Uploaders:
+ James Clarke <jrtc27@debian.org>,
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/polyml.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/polyml.git
 Homepage: http://www.polyml.org
-Build-Depends: debhelper (>= 9), dh-autoreconf, libffi-dev, libltdl-dev
-Standards-Version: 3.9.7
+Build-Depends:
+ debhelper (>= 10),
+ dh-autoreconf,
+ libffi-dev,
+ libltdl-dev,
+Standards-Version: 4.0.1
+Testsuite: autopkgtest
 
 Package: polyml
 Architecture: any
 Multi-Arch: foreign
-Depends: file, gcc, libffi-dev, ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ file,
+ g++,
+ libffi-dev,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: interpreter and interactive compiler for Standard ML
  Poly/ML is an implementation of the Standard ML programming language
  Standard ML is a general-purpose, modular, type-safe, strict,
@@ -22,12 +33,13 @@
  .
  This package provides the top-level interpreter and compiler.
 
-
 Package: libpolyml-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libpolyml7 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libpolyml8 (= ${binary:Version}),
+ ${misc:Depends},
 Description: development files for Poly/ML, a compiler for Standard ML
  Poly/ML is an implementation of the Standard ML programming language
  Standard ML is a general-purpose, modular, type-safe, strict,
@@ -38,12 +50,15 @@
  This package provides the files needed to compile stand-alone executables
  with Poly/ML.
 
-Package: libpolyml7
+Package: libpolyml8
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: runtime files for Poly/ML, a compiler for Standard ML
  Poly/ML is an implementation of the Standard ML programming language
  Standard ML is a general-purpose, modular, type-safe, strict,
