## polyml 5.7.1

=== debian/changelog ===
polyml (5.7.1-5build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:50:31 +0200

polyml (5.7.1-5) unstable; urgency=medium

  * glibc-2.34-PTHREAD_STACK_MIN.patch: New patch to fix build with glibc 2.34
    (Closes: #1020264)
  * d/rules: Silence textrel warnings during the build
  * polyc-notext.patch: New patch to silence textrel warnings using polyc
    (Closes: #1007974)

 -- Jessica Clarke <jrtc27@debian.org>  Fri, 03 Feb 2023 00:25:28 +0000

polyml (5.7.1-4) unstable; urgency=medium

  * libffi-3.3-i386.patch: Fix any-i386 build after upstream libffi-3.3.patch

 -- James Clarke <jrtc27@debian.org>  Sun, 19 Jan 2020 15:11:46 +0000

polyml (5.7.1-3) unstable; urgency=medium

  * libffi-3.3.patch: Backport from upstream to fix build with libffi 3.3
    (Closes: #949290)

 -- James Clarke <jrtc27@debian.org>  Sun, 19 Jan 2020 12:06:58 +0000

polyml (5.7.1-2) unstable; urgency=medium

  * Bump standards version to 4.1.4, no changes needed
  * Use https for copyright format URI
  * d/control:
    - Change Vcs-* to point to salsa
    - Add `Rules-Requires-Root: no`
  * Add RISC-V support

 -- James Clarke <jrtc27@debian.org>  Sat, 30 Jun 2018 17:08:06 +0100

polyml (5.7.1-1) unstable; urgency=medium

  * New upstream version 5.7.1
  * Bump standards version to 4.1.2, no changes needed
  * Delete unused Test166-deadlock.patch from packaging

 -- James Clarke <jrtc27@debian.org>  Fri, 08 Dec 2017 16:43:55 +0000

polyml (5.7.1~20171120.git44b7b88-1) experimental; urgency=medium

  * New upstream version 5.7.1~20171120.git44b7b88
    - Closes: #880023
  * Rename libpolyml8 to libpolyml9 to reflect upstream soname bump
  * Split modules out of libpolyml9 into new polyml-modules
  * Drop all patches; fixed upstream
  * Add new modules-non-executable.patch to make module files non-executable

 -- James Clarke <jrtc27@debian.org>  Mon, 20 Nov 2017 14:50:57 +0000

polyml (5.7-2) unstable; urgency=medium

  * Bump standards version to 4.1.1, no changes needed
  * d/control:
    - Add Breaks/Replaces on libpolyml7
    - Remove Testsuite field; now automatically added by dpkg
    - Drop dh-autoreconf dependency; redundant since dehelper 10
  * d/rules:
    - Drop explicit --with autoreconf; redundant since compat 10

 -- James Clarke <jrtc27@debian.org>  Thu, 05 Oct 2017 15:25:54 +0100
