=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: polyml
 Section: interpreters
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
- James Clarke <jrtc27@debian.org>,
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/polyml.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/polyml.git
+ Jessica Clarke <jrtc27@debian.org>,
+Vcs-Browser: https://salsa.debian.org/science-team/polyml
+Vcs-Git: https://salsa.debian.org/science-team/polyml.git
 Homepage: http://www.polyml.org
 Build-Depends:
  debhelper (>= 10),
- dh-autoreconf,
  libffi-dev,
  libltdl-dev,
-Standards-Version: 4.0.1
-Testsuite: autopkgtest
+Standards-Version: 4.1.4
+Rules-Requires-Root: no
 
 Package: polyml
 Architecture: any
@@ -22,6 +22,7 @@
  file,
  g++,
  libffi-dev,
+ polyml-modules (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: interpreter and interactive compiler for Standard ML
@@ -33,12 +34,35 @@
  .
  This package provides the top-level interpreter and compiler.
 
+Package: polyml-modules
+Section: libs
+Architecture: any
+Multi-Arch: same
+Breaks:
+ libpolyml7 (>= 5.7~20170315.git1343f60-1),
+ libpolyml8,
+Replaces:
+ libpolyml7 (>= 5.7~20170315.git1343f60-1),
+ libpolyml8,
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+Description: modules for Poly/ML, a compiler for Standard ML
+ Poly/ML is an implementation of the Standard ML programming language
+ Standard ML is a general-purpose, modular, type-safe, strict,
+ functional programming language. Poly/ML is SML 97 compliant
+ interpreter and compiler that supports the generation of stand-alone
+ executables with an interactive toplevel (REPL).
+ .
+ This package provides the standard modules for Poly/ML.
+
 Package: libpolyml-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- libpolyml8 (= ${binary:Version}),
+ libpolyml9 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files for Poly/ML, a compiler for Standard ML
  Poly/ML is an implementation of the Standard ML programming language
@@ -50,7 +74,7 @@
  This package provides the files needed to compile stand-alone executables
  with Poly/ML.
 
-Package: libpolyml8
+Package: libpolyml9
 Section: libs
 Architecture: any
 Multi-Arch: same
