=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
# Native code generation sadly uses text relocations. Fixed in 5.9 for amd64
# but not for i386. For simplicity, always silence warnings.
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed,-z,notext

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --with-system-libffi --without-gmp
