=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%polyml-$1.tar.gz%" \
 https://github.com/polyml/polyml/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
