## polyml 5.8.1

=== debian/changelog ===
polyml (5.8.1-1~exp1) experimental; urgency=medium

  * New upstream version 5.8.1
  * Drop patches fixed upstream
  * riscv-libffi.patch: Refresh
  * Rename libpolyml9 to libpolyml11 to match new soname

 -- Jessica Clarke <jrtc27@debian.org>  Sat, 28 Nov 2020 05:02:25 +0000
