=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: polyml
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jessica Clarke <jrtc27@debian.org>,
 Vcs-Browser: https://salsa.debian.org/science-team/polyml
@@ -62,7 +61,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libpolyml9 (= ${binary:Version}),
+ libpolyml11 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files for Poly/ML, a compiler for Standard ML
  Poly/ML is an implementation of the Standard ML programming language
@@ -74,7 +73,7 @@
  This package provides the files needed to compile stand-alone executables
  with Poly/ML.
 
-Package: libpolyml9
+Package: libpolyml11
 Section: libs
 Architecture: any
 Multi-Arch: same
